Released: 2023-07-03
We transferred three sections of Flow Designer from Ember to React:
To avoid any confusion for our users we have applied one name “Status” for all columns that related to the statuses of containers.
FIXED The wrong separation between My Workspaces and Other contract workspaces at the View All Workspaces page for Tenant Admin and Contract Owner.
FIXED 502 Bad Gateway response while authentication for OAuth2.
1.3.0 (v23.27)Response Status Code validation2.7.0 (v23.27)1.2.0 (v23.27)Start Time and End Time configuration fields to limit the polling range3.1.0 (v23.27)Lookup Objects by Custom Field ActionAdd Object ActionUpdate Object ActionReleased: 2023-07-18
redelivered flag on RabbitMQ message in cloud-handler for errors from redelivered messagesReleased: 2023-08-01
The Dashboard is now enhanced to provide a more useful and intuitive selection of information regarding integration flows, executions, and errors. Specifically:
Flows page with filtered ordinary flowsFlows page with filtered real-time flowsClicking the workspace name in the Workspace Memory Usage list on the Current Month Quota page will now redirect the user to the corresponding workspace’s Dashboard.

4.0.1 (v23.31)In a new Sailor version we have replaced jakarta.json with org.eclipse.parsson.
LOOKOUT_PROCESS_DATA env var (v23.31)LOOKOUT_PROCESS_DATA was introduced to disable Runlog for the dashboard. After redesigning the Dashboard page, this env var does not do anything on the frontend, since runlog is not on the new dashboard.
We’ve removed this env var from the frontend completely, and removed it from lookout by making it run as if this env var is set to “false”.
The search function is now more user-friendly as it now accepts partial matches (e.g. “test.123” log line previously would match only if a user searched for exact “test.123”, but now both “test” and “123” will match the logline).
Also, we’ve fixed the bug where irrelevant search results appeared due to incorrect configuration of Elasticsearch.
How to apply new changes to the mapping:
Check if the custom mapping template is already installed
Send GET http://{ELASTICSEARCH_IP}:9200/_template/exec-custom-mapping
If exec-custom-mapping template already exists
If this template includes some additional configuration and mapping - you should include it in the request body as well and then send PUT request
If exec-custom-mapping template does not exist
Simply send PUT request
The request for adding or updating the template
PUT http://:9200/_template/exec-custom-mapping
{
"order": 0,
"index_patterns": [
"exec_*"
],
"mappings": {
"properties": {
"msg": {
"analyzer": "simple",
"type": "text"
}
}
}
}
After the mapping template is updated, Graylog indices need to be updated as well. The best way is to just wait until they are rotated by Graylog itself (with the default config it should be 15 days). To check that the oldest index has correct mapping - send
GET http://:9200/exec_602(instead ofexec_602put the oldest index from exec index set in Graylog) and find a mapping for msg filed - it should have type and analyzer from the updated custom mapping template.
Create Branch, Create Default Branch and Continue in the view flow mode for Content-Based Router.1.0.0 (v23.31)Make Raw Request actionUpsert Object actionLookup Object (at most one) actionLookup Objects (plural) actionDelete Object by ID action2.0.0 (v23.31)Send Mail2.0.7 (v23.31)batching-library functionality implemented as an internal client1.5.2 (v23.31)1.5.12 (v23.31)ObjectId in following actions:
Lookup By Unique CriteriaUpdate ManyUpsert By Unique Criteria1.0.3 (v23.31)2.7.1Number of retries and Max number of calls per second from credentials configuration1.0.6 (v23.31)4.0.12.5.7 (v23.31)4.0.11.0.7 (v23.31)4.0.1Released: 2023-09-28
We have added an expand window feature (square symbol) at the end of each indicated section to allow the user to open the required section to the full screen.
GET flow by id (v23.39)GET v2/flows/:id now accept query parameter include with values flow-containers, descriptor.
queues-reader serviceNow once the customer subscribes to flows error the link in the letter will redirect to the corresponding thread for component errors and the corresponding container for container errors.
To speed up the time response during step configuration we added a separate node pool for one-time executions.
Create new envar KUBERNETES_ONETIME_EXEC_LABEL_VALUE: ‘one-time’ Run one-time executions on separate node pool
The default node pool for one time exec is ordinary. To change it - create a separate node pool with kubernetes labels: elasticio-role: <lablel>

Change the deployment-handler env var KUBERNETES_ONETIME_EXEC_LABEL_VALUE to <label>
Introduced significant enhancements, including improved step queue state retrieval from RabbitMQ, flow verification and Sailor versions mechanism checks, error notifications from the exporter API and health-check endpoint.
/v2/tenants/:tenantId/certificates. API DOCS have been updated.CVE-2023-2650 vulnerability.Workspace is locked page to DashboardtaskErrorRecordsCount and taskStatError would lead to the removal of all taskStatErrors
taskErrorRecordsCount and taskStatError when the unsynchronization occursFlow State Handler1.0.0 (v23.39)Make Raw Request Action1.0.0 (v23.39)Make Raw Request ActionSend Email ActionSearch emails ActionGet Email by ID ActionDelete Email By ID ActionGet New Emails Trigger1.0.0 (v23.39)Make Raw Request ActionMake API call Action1.1.0 (v23.39)Get New and Updated Objects Polling Trigger2.1.0 (v23.39)Get Attachment to Poll for New Mail TriggerAttachments to Send Mail Action